Skip to main content
GET
List customers

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

Max number of results that should be returned

Required range: 1 <= x <= 100
next_page
string

Cursor that indicates where the next page of results should start.

ingest_alias
string

Filter the customer list by ingest_alias

customer_ids
string[]

Filter the customer list by customer_id. Up to 100 ids can be provided.

only_archived
boolean

Filter the customer list to only return archived customers. By default, only active customers are returned.

salesforce_account_ids
string[]

Filter the customer list by salesforce_account_id. Up to 100 ids can be provided.

Maximum array length: 100

Response

200 - application/json

Success

data
object[]
required
next_page
string | null
required